#include<bits/stdc++.h>
using namespace std;
int kt(int n)
{
    int test=1;
    if(n<2) return 0;
    else{
        for (int i=2;i<=sqrt(n);i++)
    {
        if(n%i==0)
        {
            test =0;
             break;
        }
    }
    return test;}
}
int main()
{
    ifstream f1("CPRIME.inp");
    ofstream f2("CPRIME.out");
    int n;
    f1>>n;
    int a[n];
    for (int i=0;i<n;i++)
    {
        f1>>a[i];
        if(kt(a[i])==1)
        {
            f2<<"YES"<<endl;
        }
        else f2<<"NO"<<endl;
    }

}
